Skip to main content
POST
/
v0
/
server-groups
/
workflows
/
manual
Execute a manual workflow for all running servers in a server group
curl --request POST \
  --url https://controller.platform.simplecloud.app/v0/server-groups/workflows/manual \
  --header 'Content-Type: application/json' \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>' \
  --data '
{
  "workflow_id": "internal.cleanup"
}
'
import requests

url = "https://controller.platform.simplecloud.app/v0/server-groups/workflows/manual"

payload = { "workflow_id": "internal.cleanup" }
headers = {
    "X-Network-ID": "<x-network-id>",
    "X-Network-Secret": "<x-network-secret>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-Network-ID': '<x-network-id>',
    'X-Network-Secret': '<x-network-secret>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({workflow_id: 'internal.cleanup'})
};

fetch('https://controller.platform.simplecloud.app/v0/server-groups/workflows/manual', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "failed_servers": [
    {
      "error_message": "workflow execution was rejected by serverhost",
      "server_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "message": "Manual workflow execution completed",
  "server_group_id": "123e4567-e89b-12d3-a456-426614174000",
  "skipped_server_ids": [
    "<string>"
  ],
  "succeeded_server_ids": [
    "<string>"
  ],
  "total_servers": 3,
  "workflow_id": "internal.cleanup"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

server_group_id
string
required

Server Group ID

Body

application/json

Manual workflow execution request

Request to execute a manual workflow.

workflow_id
string
Example:

"internal.cleanup"

Response

OK

Response for executing a manual workflow on all eligible servers in a server group.

failed_servers
object[]
message
string
Example:

"Manual workflow execution completed"

server_group_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

skipped_server_ids
string[]
succeeded_server_ids
string[]
total_servers
integer
Example:

3

workflow_id
string
Example:

"internal.cleanup"